Bug 13446 - rpm-3.0.4 doesn't work with mkinitrd-2.4.3-1
rpm-3.0.4 doesn't work with mkinitrd-2.4.3-1
Status: CLOSED DUPLICATE of bug 12401
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Depends On:
  Show dependency treegraph
Reported: 2000-07-04 00:50 EDT by wwwatnf
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-07-04 16:12:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description wwwatnf 2000-07-04 00:50:48 EDT
I am upgrading from vanilla Zoot to 2.2.16-3 (or trying to)
One step I am told to do in the HOWTO is update mkinitrd and friends.
It fails for reasons that are mysterious to me.

This is my current version
# rpm -q mkinitrd

This is what happens when I try to upgrade.
# rpm -Uvh mkinitrd-2.4.3-1.i386.rpm 
only packages with major numbers <= 3 are supported by this version of RPM
error: mkinitrd-2.4.3-1.i386.rpm cannot be installed

This also happens with SysVinit-2.78-8, initscripts-5.17-1.

If this is just a usage problem, then please update

The rpms appear to be ok, e.g.:
# which rpm
# rpm --version
RPM version 3.0.4
# rpm -K --nopgp mkinitrd-2.4.3-1.i386.rpm
mkinitrd-2.4.3-1.i386.rpm: md5 OK
# rpm -K mkinitrd-2.4.3-1.i386.rpm
mkinitrd-2.4.3-1.i386.rpm: md5 OK
# rpm --checksig mkinitrd-2.4.3-1.i386.rpm
mkinitrd-2.4.3-1.i386.rpm: md5 OK

In case it matters, the rpms were downloaded from

#uname -a
Linux lorelei 2.2.14-5.0 #1 Tue Mar 7 21:07:39 EST 2000 i686 unknown
Comment 1 wwwatnf 2000-07-04 16:12:50 EDT
oops, this is a duplicate of 12401 - 3.0.4 doesn't handle rpm4 format.
this also happened on the 2/3 transition. knoknoknok - hullo? anyone home?
Comment 2 Jeff Johnson 2000-07-10 15:44:29 EDT

*** This bug has been marked as a duplicate of 12401 ***

Note You need to log in before you can comment on or make changes to this bug.